This error is fixed in version 2.2.10 or 3.0.1

As you use Ubuntu, you find upgrade packages on our website or perhaps in ubuntu backport

Benny

2008/9/13 Thomas B√łgh Fangel <thomasfangel@gmail.com>
User Information:
===================

Trying to open a gramps db from an earlier version


Error Details:
===================

33230: ERROR: gramps.py: line 148: Unhandled exception
Traceback (most recent call last):
File "/usr/share/gramps/ViewManager.py", line 891, in open_activate
(filename,filetype) = self.db_loader.open_file()
File "/usr/share/gramps/DbLoader.py", line 114, in open_file
self.read_file(filename,filetype)
File "/usr/share/gramps/DbLoader.py", line 465, in read_file
_("Could not open file: %s") % filename, msg )
File "/usr/share/gramps/QuestionDialog.py", line 174, in __init__
self.format_secondary_markup(msg2)
TypeError: GtkMessageDialog.format_secondary_markup() argument 1 must be string or None, not exceptions.ValueError


System Information:
===================

Python version: 2.5.1 (r251:54863, Oct 5 2007, 13:36:32) [GCC 4.1.3 20070929 (prerelease) (Ubuntu 4.1.2-16ubuntu2)]
BSDDB version: 4.4.5.2
Gramps version: 2.2.8-0.SVN
LANG: en_DK.UTF-8
OS: Linux
Distribution: 2.6.22-14-generic



-------------------------------------------------------------------------
This SF.Net email is sponsored by the Moblin Your Move Developer's challenge
Build the coolest Linux based applications with Moblin SDK & win great prizes
Grand prize is a trip for two to an Open Source event anywhere in the world
http://moblin-contest.org/redirect.php?banner_id=100&url=/
_______________________________________________
Gramps-bugs mailing list
Gramps-bugs@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/gramps-bugs